DCMTK: DRTSearch::searchPropertyEqualHelper< IOD, Item, type, arg2, argument2 > Class Template Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
DRTSearch::searchPropertyEqualHelper< IOD, Item, type, arg2, argument2 > Class Template Reference

Helper class which wraps searchPropertyEqual and findItem to make it easier to search through an IOD. More...

## Public Types
typedef searchPropertyEqual< IOD, Item, type, arg2, argument2 > | searchType
| Typedef for simplifying usage of searchPropertyEqual.

## Static Public Member Functions
static IOD::Item & | search (IOD &seq, const type &wanted, typename searchType::funcType func)
| Find an item in a sequence.

## Detailed Description

template<typename IOD, typename Item, typename type, typename arg2, arg2 argument2>
class DRTSearch::searchPropertyEqualHelper< IOD, Item, type, arg2, argument2 >

Helper class which wraps searchPropertyEqual and findItem to make it easier to search through an IOD.

Template Parameters

  IOD | the type of the IOD that should be checked
  Item | this should always be IOD::Item. Sadly, MSC6 can't figure that out by itself and so we must explicitly tell it about this type.
  type | the type that is being searched for
  arg2 | the type of the second argument to the getter function
  argument2 | the value of the second argument to the getter function

## Member Function Documentation

## ◆ search()

template<typename IOD, typename Item, typename type, typename arg2, arg2 argument2>

static IOD::Item & DRTSearch::searchPropertyEqualHelper< IOD, Item, type, arg2, argument2 >::search | ( | IOD & | seq,
|  | const type & | wanted,
|  | typename searchType::funcType | func )
| inlinestatic

Find an item in a sequence.

Parameters

  seq | the sequence to search through
  wanted | the value that should be found
  func | function that gets a value from a sequence item

Returns
  Reference to the first item that matches or to the empty default item.

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/drmsrch.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2